Bug 490963 - Java Tutorial and example README file are wrong
Java Tutorial and example README file are wrong
Status: CLOSED WONTFIX
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference (Show other bugs)
1.1
All Linux
urgent Severity urgent
: 1.3
: ---
Assigned To: Jonathan Robie
Jiri Kolar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 13:21 EDT by William Henry
Modified: 2013-08-05 20:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-28 10:06:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Henry 2009-03-18 13:21:17 EDT
Description of problem:

The Tutorial never mentions setting QPID_HOME and QPID_SAMPLE and the example java directory's README.txt is out of date and not detailed enough.

The Steps to get the Java code running are:

1. Copy the examples java directory to somewhere you have write permissions (as per documentation).
2. Make sure to chmod the java directory for 'w'.
3. Set the following:
QPID_HOME=/usr/share/java
QPID_SAMPLE=<exmaple java directory>     e.g. /home/whenry/java

4. Then run the examples
e.g. 
$ ./runSample.sh org.apache.qpid.example.jmsexample.direct.Producer 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jonathan Robie 2009-03-18 14:23:15 EDT
The README is way out of date, and should be replaced with something like the README.txt that we have for the Python or C++ examples. I'll write one and replace the current Java examples README.

The tutorial has a section called "running the examples" for each Java example, which shows the values of these veriables:

$  ./runSample.sh org.apache.qpid.example.jmsexample.direct.Consumer
Using QPID_HOME: /usr/share/java/
Using QPID_SAMPLE: /usr/share/doc/rhm-0.3
Consumer: Setting an ExceptionListener on the connection as sample uses a MessageConsumer
Consumer: Creating a non-transacted, auto-acknowledged session
Consumer: Creating a MessageConsumer
Consumer: Starting connection so MessageConsumer can receive messages

I'll fix this to state explicitly that you have to set them before running the script.
Comment 2 Jonathan Robie 2010-01-20 10:43:50 EST
Modified tutorial, also modified README.txt in the Qpid project.

Changes will be visible in 1.3, there is no 1.2 tutorial.
Comment 5 Jiri Kolar 2010-07-28 10:06:26 EDT
This is not valid anymore. as examples are changed, readme dissapeared, Tutorial is not Tutorial anymore and does not mention that script at all...

CLOSING

Note You need to log in before you can comment on or make changes to this bug.